#!/bin/sh
#
# $FreeBSD: ports/x11/kdebase3/files/genkdmconf.sh.in,v 1.3 2006/02/01 09:13:26 lofi Exp $

# some defs
GENKDMCONF=/usr/local/bin/genkdmconf
KDMCONFDIR=/usr/local/share/config/kdm

#first, set a path for an X app
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/usr/X11R6/bin
export PATH

#Configure kdm if needed
if [ ! -r ${KDMCONFDIR}/kdmrc ]; then
	echo "Generating KDM configuration";
	${GENKDMCONF} --no-old --in ${KDMCONFDIR};
else
	echo "Updating KDM configuration";
	${GENKDMCONF} --in ${KDMCONFDIR};

fi
